Bug 847903 - [abrt] xfce4-weather-plugin-0.8.0-1.fc17: xml_time_free: Process /usr/libexec/xfce4/panel-plugins/xfce4-weather-plugin was killed by signal 11 (SIGSEGV)
[abrt] xfce4-weather-plugin-0.8.0-1.fc17: xml_time_free: Process /usr/libexec...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xfce4-weather-plugin (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
abrt_hash:75555447f94a5d5356ae8341480...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-13 20:47 EDT by dagrove
Modified: 2013-07-31 18:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 18:39:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (10.64 KB, text/plain)
2012-08-13 20:47 EDT, dagrove
no flags Details
File: maps (28.89 KB, text/plain)
2012-08-13 20:47 EDT, dagrove
no flags Details
File: dso_list (5.06 KB, text/plain)
2012-08-13 20:47 EDT, dagrove
no flags Details

  None (edit)
Description dagrove 2012-08-13 20:47:32 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/libexec/xfce4/panel-plugins/xfce4-weather-plugin '' 7 16777261 weather 'Weather Update' 'Show current weather conditions' ''
crash_function: xml_time_free
executable:     /usr/libexec/xfce4/panel-plugins/xfce4-weather-plugin
kernel:         3.5.1-1.fc17.x86_64
pid:            1563
pwd:            /home/doug
remote_result:  NOTFOUND
time:           Mon 13 Aug 2012 08:42:46 PM EDT
uid:            1000
username:       doug

backtrace:      Text file, 10895 bytes
dso_list:       Text file, 5186 bytes
maps:           Text file, 29582 bytes

build_ids:
:4555444390434459edd5379df593b6d7382f86be
:f69712fe393313f44607679e934bf5a67f39ec50
:faca16f15d87b83d2947a386e319b02f724dcbb5
:6086bff484a49cc8b80cb714d7e83a6391394800
:54a5cc118d928470da13565de8592b664a9868e0
:23d1440088fed14354e355ac2cbdba1f38fcf1a3
:ce246b3297de0d233ac2c5f9e50061e2b13a330c
:f813375cba5b47aac7576dfddc1d9f8f056ee895
:b8bfc491895389962d926fdc99cbfbac571f2cf0
:5b4f3d35b4612be98f2bbb635b3eabf0ee7e437d
:a8efbe1d263ad42afae74bc027eee88eaa754f55
:f4d479614b09460085428bbe7d53df454d0d39e5
:fd952473da735f9c0f50de231aa3d84d7855ef57
:b277af36744327e3d58eae76bcdaadcca71a28c6
:271a2d91cc3308783ff4a7ab45049f31aa42d8b7
:e45258c755689bf1d66580f1c9a3f9d4d3f26235
:fa81176245f9e4370b3ffe6dd8db8a17646c70e9
:e91010b497ec024178c36f4365b21f668bada0ca
:f4c064df8745dff15466d705fb049138f9a5c949
:253afe744466fe7580bbb6040de6183dba9e2b02
:6668de624a10d486a3484d5b4921f87b1e77d36c
:6ea05195018eb2e7efb545d3cbdec19ab3680ec4
:fb86c3a448f22bd68843d5aa0b35e74d20629e85
:508cf66f72e70054a41215f80ed2385c6bb80030
:67792c148d2b8f13f6732c9367e926c26d7376c5
:63651cdc0224824a9c9324c77c3b5887378e871d
:71b9306413b432778de7bd0bcd742b39a26bb0c0
:c4ec0971b2dcee71aaf8374975474054245fea00
:1c1cbb11b6d1c924bc72f2703a3077f89cd1e5b6
:b26a3acffde6a14576fe8b9bb2b73ff461f310b6
:822e9b3523e8312240f41a25722d539bc77ed436
:404cbecd24d186758ed474b345313da28b2990fa
:396fda5abd0de2132396c4a3e94f7a7173bc26e7
:3f0991d9a4679b6bdd8a78ab2d05ecf4cc995651
:9dc7d977acebd2e8abf2d55bf2738ea2d89f7480
:6d13b4e8294bd29204ee566fd8ea1b67467d8ed5
:6e5d5649c704cd3a34cf145ccd2d08994f1e83ff
:5826afc35750b4addfe993bba7da51974fe51838
:7c35310fc506498c612d5d982ab03becc4b4817c
:251d592c044f4fdf5e69ae2ed6f90f5a87196a42
:48c0fe9b8cd26b4d0b5bf1de0bc76da565bd7d27
:8f7c190397d7c1f617e66f18f759714662b60367
:c24fd7404668fdbb57aec685a0f63cdd8a289d29
:de8765a1f811be7af865204ba32ef7846307e863
:4b044fe80e4c1b69986abc4b160c303048005d4e
:3bbeb82b3bc850005dc0f186e15b20b45df0cbaa
:c61e487cc8906c4f1bd85b39a4d751b414e423a0
:4dac977c0337ed949981bfc9ec0c5c617eb0cc74
:6088efab2ef3571c51fb041bb70b4ab626221ba4
:1d4df97fa6024b097b634a272447243c95c26d85
:8c083e0f61deb55917e5c7b193fe4d000a7375f1
:247132297f287226a24c12e683292f5c94013066
:726a299098b7695fc69d788f6b19468810c1ba6e
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881
:5350b5972464f66f404861dc50225a114a2a5e7e

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/doug/1

core_backtrace:
:71b9306413b432778de7bd0bcd742b39a26bb0c0 0xfb69 xml_time_free [exe] -
:71b9306413b432778de7bd0bcd742b39a26bb0c0 0xfca7 xml_weather_free [exe] -
:71b9306413b432778de7bd0bcd742b39a26bb0c0 0x9b51 _start [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=1
:SSH_AGENT_PID=1463
:HOSTNAME=toaster.douggrove.com
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/home/doug/.gnupg/S.gpg-agent:1496:1
:GLADE_PIXMAP_PATH=:
:XDG_MENU_PREFIX=xfce-
:TERM=dumb
:SHELL=/bin/bash
:HISTSIZE=1000
:XDG_SESSION_COOKIE=900d529ea8a7e0dd671e8a7700000005-1344890535.84840-1409527498
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=doug
:GLADE_MODULE_PATH=:
:SSH_AUTH_SOCK=/tmp/ssh-xCWUUUUq1321/agent.1321
:USERNAME=doug
:XDG_CONFIG_DIRS=/etc/xdg
:MAIL=/var/spool/mail/doug
:DESKTOP_SESSION=xfce
:PATH=/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/usr/sbin:/usr/local/sbin:/usr/local/bin:/opt/tlc:/home/doug/bin:/home/doug/.local/bin:/home/doug/bin
:QT_IM_MODULE=xim
:LC_COLLATE=C
:PWD=/home/doug
:XMODIFIERS=@im=none
:EDITOR=/usr/bin/vim
:KDE_IS_PRELINKED=1
:LANG=en_US.UTF-8
:KDEDIRS=/usr
:GDMSESSION=xfce
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:SHLVL=2
:HOME=/home/doug
:XDG_SEAT=seat0
:LOGNAME=doug
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-m9EMTqlkBs,guid=d12a3433c310ea8ed781b3e200000009
:XDG_DATA_DIRS=/usr/local/share:/usr/share
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:DISPLAY=:0.0
:XDG_RUNTIME_DIR=/run/user/doug
:GLADE_CATALOG_PATH=:
:LIBGLADE_MODULE_PATH=:
:QT_PLUGIN_PATH=/usr/lib64/kde4/plugins:/usr/lib/kde4/plugins
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-doug-K2MJkT/database
:_=/usr/bin/xfce4-session
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1505,unix/unix:/tmp/.ICE-unix/1505

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 47459                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       47459                47459                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/doug/.xsession-errors
:pos:	1772
:flags:	0102002
:2:/home/doug/.xsession-errors
:pos:	1772
:flags:	0102002
:3:socket:[23003]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002

var_log_messages:
:Aug 12 05:05:19 toaster kernel: [   41.202919] xfce4-weather-p[1550]: segfault at 18 ip 000000000040fb69 sp 00007fff314e8430 error 4 in xfce4-weather-plugin[400000+18000]
:Aug 12 05:05:19 toaster abrt[2315]: Saved core dump of pid 1550 (/usr/libexec/xfce4/panel-plugins/xfce4-weather-plugin) to /var/spool/abrt/ccpp-2012-08-12-05:05:19-1550 (3731456 bytes)
:Aug 13 20:42:46 toaster kernel: [   41.713494] xfce4-weather-p[1563]: segfault at 18 ip 000000000040fb69 sp 00007fff8e2d1780 error 4 in xfce4-weather-plugin[400000+18000]
:Aug 13 20:42:46 toaster abrt[2324]: Saved core dump of pid 1563 (/usr/libexec/xfce4/panel-plugins/xfce4-weather-plugin) to /var/spool/abrt/ccpp-2012-08-13-20:42:46-1563 (3706880 bytes)
Comment 1 dagrove 2012-08-13 20:47:34 EDT
Created attachment 604116 [details]
File: backtrace
Comment 2 dagrove 2012-08-13 20:47:36 EDT
Created attachment 604117 [details]
File: maps
Comment 3 dagrove 2012-08-13 20:47:38 EDT
Created attachment 604118 [details]
File: dso_list
Comment 4 Joe Zeff 2013-02-18 17:03:34 EST
There is a new version as shown here: https://bugzilla.xfce.org/show_bug.cgi?id=9636 and it's very possible that it will fix this bug as well as the one it's intended to patch.  I'd appreciate it if it were put into updates-testing so that Fedora users can find out if it's what they need.
Comment 5 Christoph Wickert 2013-02-18 17:42:46 EST
The new version uses geonames.org for localization which is a bit problematic. See the recent discussion for on the Xfce mailing list for details.
Comment 6 Fedora End Of Life 2013-07-03 17:31:21 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-07-31 18:40:00 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.